<?php
 namespace VnChocola\Module\Floormanager\FloorManagerLayout;
 use TCMS\Controller;
 use Model;
 class LayoutController extends Controller {
 public function index() {
 view()->addStyle(asset('/style/bootstrap.min.css'));
 view()->addStyle(asset('/floormanager/css/floor-manager-layout.css'));
 view()->addScript(asset('/script/jquery.min.js'));
 view()->addScript(asset('/floormanager/js/floor-manager-layout.js'));
 view()->addScript(asset('/floormanager/js/socket-manager.js'));
 $auth = load_auth();
 view()->hasViewFloorManagerRole = $auth->hasRole(\RoleGlobal::$role->viewFloorManager);
 view()->hasDesignFloorManagerRole = $auth->hasRole(\RoleGlobal::$role->designFloorManager);
 view()->hasSettingFloorManagerRole = $auth->hasRole(\RoleGlobal::$role->settingFloorManager);
 view()->loginUserName = $auth->getUser()->name;
 view()->loginUserAvatar = $auth->getUser()->avatar;
 return view();
 }
 }
